Package com.omnisci.thrift.server

## Class TTargetInfo

- java.lang.Object
- - com.omnisci.thrift.server.TTargetInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTargetInfo>`, `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TTargetInfo
    extends Object
    implements org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>, Serializable, Cloneable, Comparable<TTargetInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTargetInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TTypeInfo` `arg_type`
`boolean` `is_agg`
`boolean` `is_distinct`
`TAggKind` `kind`
`static Map<TTargetInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `skip_nulls`
`TTypeInfo` `type`

### Constructor Summary

Constructors
`TTargetInfo()`
`TTargetInfo​(boolean is_agg, TAggKind kind, TTypeInfo type, TTypeInfo arg_type, boolean skip_nulls, boolean is_distinct)`
`TTargetInfo​(TTargetInfo other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TTargetInfo other)`
`TTargetInfo` `deepCopy()`
`boolean` `equals​(TTargetInfo that)`
`boolean` `equals​(Object that)`
`TTargetInfo._Fields` `fieldForId​(int fieldId)`
`TTypeInfo` `getArg_type()`
`Object` `getFieldValue​(TTargetInfo._Fields field)`
`TAggKind` `getKind()`
`TTypeInfo` `getType()`
`int` `hashCode()`
`boolean` `isIs_agg()`
`boolean` `isIs_distinct()`
`boolean` `isSet​(TTargetInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArg_type()` Returns true if field arg_type is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_agg()` Returns true if field is_agg is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_distinct()` Returns true if field is_distinct is set (has been assigned a value) and false otherwise
`boolean` `isSetKind()` Returns true if field kind is set (has been assigned a value) and false otherwise
`boolean` `isSetSkip_nulls()` Returns true if field skip_nulls is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`boolean` `isSkip_nulls()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TTargetInfo` `setArg_type​(TTypeInfo arg_type)`
`void` `setArg_typeIsSet​(boolean value)`
`void` `setFieldValue​(TTargetInfo._Fields field, Object value)`
`TTargetInfo` `setIs_agg​(boolean is_agg)`
`void` `setIs_aggIsSet​(boolean value)`
`TTargetInfo` `setIs_distinct​(boolean is_distinct)`
`void` `setIs_distinctIsSet​(boolean value)`
`TTargetInfo` `setKind​(TAggKind kind)`
`void` `setKindIsSet​(boolean value)`
`TTargetInfo` `setSkip_nulls​(boolean skip_nulls)`
`void` `setSkip_nullsIsSet​(boolean value)`
`TTargetInfo` `setType​(TTypeInfo type)`
`void` `setTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArg_type()`
`void` `unsetIs_agg()`
`void` `unsetIs_distinct()`
`void` `unsetKind()`
`void` `unsetSkip_nulls()`
`void` `unsetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### is_agg

    public boolean is_agg

#### kind

    public TAggKind kind

See Also:
  `TAggKind`

#### type

    public TTypeInfo type

#### arg_type

    public TTypeInfo arg_type

#### skip_nulls

    public boolean skip_nulls

#### is_distinct

    public boolean is_distinct

#### metaDataMap

    public static final Map<TTargetInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTargetInfo

    public TTargetInfo()

#### TTargetInfo

    public TTargetInfo​(boolean is_agg,
                       TAggKind kind,
                       TTypeInfo type,
                       TTypeInfo arg_type,
                       boolean skip_nulls,
                       boolean is_distinct)

#### TTargetInfo

    public TTargetInfo​(TTargetInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTargetInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### isIs_agg

    public boolean isIs_agg()

#### setIs_agg

    public TTargetInfo setIs_agg​(boolean is_agg)

#### unsetIs_agg

    public void unsetIs_agg()

#### isSetIs_agg

    public boolean isSetIs_agg()

Returns true if field is_agg is set (has been assigned a value) and false otherwise

#### setIs_aggIsSet

    public void setIs_aggIsSet​(boolean value)

#### getKind

    public TAggKind getKind()

See Also:
  `TAggKind`

#### setKind

    public TTargetInfo setKind​(TAggKind kind)

See Also:
  `TAggKind`

#### unsetKind

    public void unsetKind()

#### isSetKind

    public boolean isSetKind()

Returns true if field kind is set (has been assigned a value) and false otherwise

#### setKindIsSet

    public void setKindIsSet​(boolean value)

#### getType

    public TTypeInfo getType()

#### setType

    public TTargetInfo setType​(TTypeInfo type)

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getArg_type

    public TTypeInfo getArg_type()

#### setArg_type

    public TTargetInfo setArg_type​(TTypeInfo arg_type)

#### unsetArg_type

    public void unsetArg_type()

#### isSetArg_type

    public boolean isSetArg_type()

Returns true if field arg_type is set (has been assigned a value) and false otherwise

#### setArg_typeIsSet

    public void setArg_typeIsSet​(boolean value)

#### isSkip_nulls

    public boolean isSkip_nulls()

#### setSkip_nulls

    public TTargetInfo setSkip_nulls​(boolean skip_nulls)

#### unsetSkip_nulls

    public void unsetSkip_nulls()

#### isSetSkip_nulls

    public boolean isSetSkip_nulls()

Returns true if field skip_nulls is set (has been assigned a value) and false otherwise

#### setSkip_nullsIsSet

    public void setSkip_nullsIsSet​(boolean value)

#### isIs_distinct

    public boolean isIs_distinct()

#### setIs_distinct

    public TTargetInfo setIs_distinct​(boolean is_distinct)

#### unsetIs_distinct

    public void unsetIs_distinct()

#### isSetIs_distinct

    public boolean isSetIs_distinct()

Returns true if field is_distinct is set (has been assigned a value) and false otherwise

#### setIs_distinctIsSet

    public void setIs_distinctIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTargetInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTargetInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### isSet

    public boolean isSet​(TTargetInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTargetInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTargetInfo other)

Specified by:
  `compareTo` in interface `Comparable<TTargetInfo>`

#### fieldForId

    public TTargetInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTargetInfo,​TTargetInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`